## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > GetPixmap

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_GetPixmap, Tk_FreePixmap — allocate and free pixmaps

### SYNOPSIS

#include <tk.h>
Pixmap
Tk_GetPixmap(display, d, width, height, depth)
Tk_FreePixmap(display, pixmap)

### ARGUMENTS

Display *display (in)
  X display for the pixmap.

Drawable d (in)
  Pixmap or window where the new pixmap will be used for drawing.

int width (in)
  Width of pixmap.

int height (in)
  Height of pixmap.

int depth (in)
  Number of bits per pixel in pixmap.

Pixmap pixmap (in)
  Pixmap to destroy.

### DESCRIPTION

These procedures are identical to the Xlib procedures XCreatePixmap and XFreePixmap, except that they have extra code to manage X resource identifiers so that identifiers for deleted pixmaps can be reused in the future. It is important for Tk applications to use these procedures rather than XCreatePixmap and XFreePixmap; otherwise long-running applications may run out of resource identifiers.

Tk_GetPixmap creates a pixmap suitable for drawing in d, with dimensions given by width, height, and depth, and returns its identifier. Tk_FreePixmap destroys the pixmap given by pixmap and makes its resource identifier available for reuse.

### KEYWORDS

pixmap, resource identifier
Copyright © 1990 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.